#
# apps.plugin process grouping
#
# The apps.plugin displays charts with information about the processes running.
# This config allows grouping processes together, so that several processes
# will be reported together.
#
# Only groups in this file are reported. All other processes will be reported
# as 'other'.
#
# For each process given, its whole process tree will be grouped, not just
# the process matched. The plugin will include both parents and childs.
#
# The format is:
#
# group_name: process1 process2 process3 ...
#
# The process names are the same to the ones returned by: ps -e
#
# If a group_name starts with a -, the dimension will be hidden (cpu chart only)
#

#compile: cc1 cc1plus as gcc ld make automake autoconf git
rsync: rsync
media: mplayer vlc xine mediatomb omxplayer omxplayer.bin kodi kodi.bin xbmc xbmc.bin mediacenter eventlircd
squid: squid squid2 squid3 c-icap
apache: apache apache2
mysql: mysqld mysql
asterisk: asterisk
#opensips: opensips opensips-mi-pro stund
radius: radiusd radiusclient
#fail2ban: fail2ban-server
mail: dovecot imapd pop3d
postfix: master
nginx: nginx
splunk: splunkd
mongo: mongod
lighttpd: lighttpd
ftpd: proftpd in.tftpd
samba: smbd nmbd winbindd
nfs: rpcbind rpc.statd rpc.idmapd rpc.mountd nfsd4 nfsd4_callbacks nfsd nfsiod
ssh: ssh sshd scp
#X: X lightdm xdm pulseaudio gkrellm
#xfce: xfwm4 xfdesktop xfce4-appfinder Thunar xfsettingsd xfce4-panel
gnome: gnome-session gdm gconfd-2 gnome-terminal gnome-screensaver gnome-settings-daemon
named: named rncd
clam: clamd freshclam
cups: cupsd cups-browsed
ntp: ntpq ntpd
#deluge: deluge deluged
vbox: vboxwebsrv VBoxXPCOMIPCD VBoxSVC
log: ulogd syslogd syslog-ng rsyslogd logrotate
nms: snmpd vnstatd smokeping zabbix_agentd monit munin-node mon openhpid
ppp: ppp pppd pptpd pptpctrl
inetd: inetd xinetd
openvpn: openvpn
cjdns: cjdroute
cron: cron atd
ha: corosync hs_logd ha_logd stonithd
ipvs: ipvs_syncmaster ipvs_syncbackup
kernel: kthreadd kauditd lockd khelper kdevtmpfs khungtaskd rpciod fsnotify_mark kthrotld iscsi_eh deferwq
netdata: netdata apps.plugin charts.d.plugin
crsproxy: crsproxy
wifi: hostapd wpa_supplicant
system: systemd-journal systemd-udevd systemd-logind udisks-glue udisks-daemon udevd udevd connmand ipv6_addrconf dbus-daemon
ksmd: ksmd
#lxc: lxc-start
#zfs-spl: spl_kmem_cache spl_system_task spl_dynamic_tas 
#zfs-posix: z_import z_unmount z_rd_iss z_rd_int_ z_wr_iss z_wr_int z_fr_iss z_fr_int z_cl_iss z_ioctl_iss z_zvol z_iput
#zfs-txg: txg_quiesce txg_sync zil_clean
#zfs-arc: arc_prune arc_reclaim arc_user_evicts l2arc_feed 
